html,
body {
  height: auto;
}

.navbar.fixed-top.bg-white.navbar-light {
    position: fixed;
    padding-left: 30px;
  }

.navbar-nav.flex-column {
  background-color: white;
  padding-top: 0;
  height: auto;
}

svg {
    width: 16px;
    transform: scaleY(1.2);
}

.navbar-toggler {
  border: none !important;
  outline: none !important;
  padding-right: 0;
}

@media only screen and (min-width: 576px) and (max-width: 767px) {
  .container-sm {
    min-width: 100%; /* Ensures container takes full width */
    padding: 0; /* Optional: removes padding if any */
    margin: 0;
  }

  .row {
      width: 100%; /* Ensures all rows take full width of the container */
      margin: 0; /* Ensures rows align properly without additional spacing */
  }

  .row.featured, .row.line {
      width: 100%;
      padding: 0; /* Ensures padding does not affect inner content width */
  }
}

@media (min-width: 576px) and (max-width: 767px) {
    .navbar.fixed-top.bg-white.navbar-light {
       padding-top: 0px;
       padding-bottom: 0px;
       padding-left: 4%;
       padding-right: 4%;
       min-height: 94px;
    }
    .navbar-brand {
      padding-top: 14px;
      padding-bottom: 14px;
    }
  }

@media (min-width: 576px) and (max-width: 767px) {
  .navbar-toggler {
    border: none !important;
    outline: none !important;
    padding-right: 2%;
  }
}

  @media (min-width: 576px) and (max-width: 767px) {
    .row.featured {
       margin-top: 15%;
    }
  }

  @media (min-width: 576px) and (max-width: 767px) {
    .col-sm-12.featured {
       padding-top: 0%;
       padding-left: 4%;
       padding-right: 9%;
       width: 100%;
    }
    .col-12.featured {
      padding-bottom: 4.5% !important;
    }
    .profile {
      width: 88vw;
      height: 46vw;
    }
    .col-12.featured-preview {   
      padding-left: 0%;
      padding-right: 0%;
    }
    .featured-thumbnail {
      width: 92vw !important;
      height: 47vw !important;
    }
    .row.pinned {
      padding-top: 1%;
      padding-left: 4%;
      padding-right: 4%;
    }
    .thin-line {
      margin-top: 4%;
      border: none;
      height: 1px;
      opacity: 0.2; /* Set the hr color */
      color: #333;  /* old IE */
      background-color: #333;  /* Modern Browsers */
    }
    .last-thin-line {
      margin-top: 4%;
      border: none;
      height: 1px;
      opacity: 0.2; /* Set the hr color */
      color: #333;  /* old IE */
      background-color: #333;  /* Modern Browsers */
    }
    .latestTitle {
      padding-top: 5% !important;
      padding-bottom: 5% !important;
    }
    .col-12.latest {
      padding-left: 4%;
      padding-right: 4%;
    }
    .row.latest {
      padding-left: 4% !important;
      padding-right: 4%;
      padding-top: 4.5% !important;
    }
    .preview-title-text {
      padding-bottom: 3 !important;
      margin-bottom: 0 !important;
    }
    .preview-datetime {
      margin-bottom: 7% !important;
    }
    .featured-label {
      padding-top: 3%;
      margin-bottom: 0;
    }
    .preview-title-text.featured {
      padding-bottom: 3.5%;
    }
    .preview-datetime.featured {
      margin-bottom: 5% !important;
    }
    .col-12.line {
      padding-left: 4%;
      padding-right: 4%;
    }
    .previewTitle {
      padding-left: 0%;
    }
    .summary {   
      display: none;  
    }
    .previewImage {
      padding: 0;
    }
    .thumbnail {   
      width: 28vw !important; 
      height: 16vw !important;
      float: right !important;
    }
  }

  @media only screen and (max-width: 575px) {
    .container {
        width: 100%; /* Ensures container takes full width */
        padding: 0; /* Optional: removes padding if any */
    }

    .row {
        width: 100%; /* Ensures all rows take full width of the container */
        margin: 0; /* Ensures rows align properly without additional spacing */
    }

    .row.featured, .row.line {
        padding: 0; /* Ensures padding does not affect inner content width */
    }
}

@media all and (max-width: 575px) {
  .row.featured {
     margin-top: 15%;
  }
}

  @media all and (max-width: 575px) {
    .navbar.fixed-top.bg-white.navbar-light {
       padding-top: 0px;
       padding-bottom: 0px;
       padding-left: 7%;
       padding-right: 7%;
       min-height: 94px;
    }
    .navbar-brand {
      padding-top: 14px;
      padding-bottom: 14px;
    }
  }

  @media all and (max-width: 575px) {
    .col-7.featured {
       padding-top: 10%;
       padding-left: 7%;
       padding-right: 17%;
       width: auto;
    }
  }
  
  @media all and (max-width: 575px) {
    .col-12.featured{
        justify-content: center;
        padding-left: 7%;
        padding-right: 12%;
        padding-bottom: 0% !important;
        margin-bottom: 8%;
    }
  }

  @media all and (max-width: 575px) {
    .profile {
      height: 46vw;
      width: 80vw;
      padding-bottom: 0%;
    }
  }

  @media all and (max-width: 575px) {
    .col-12.latest {        
        justify-content: left;
        padding-top: 0% !important;
        padding-left: 0;
        padding-bottom: 1%;
        width: 100%;
    }
  }

  @media all and (max-width: 575px) {
    .latestTitle {        
        padding-top: 0% !important;
        padding-bottom: 0% !important;
        margin-top: 4%;
    }
  }

  @media all and (max-width: 575px) {
    .row.line {        
        padding-left: 7%;
        padding-right: 7%;
        padding-bottom: 2%;
        margin-left: 0;
    }
  }

  @media all and (max-width: 575px) {
    .row.featured-line {        
        padding-left: 7%;
        padding-right: 7%;
        padding-bottom: 0;
        margin-left: 0;
    }
  }

  @media all and (max-width: 575px) {
    .col-12.line {        
        padding-left: 0;
        padding-right: 0;
    }
  }

  @media all and (max-width: 575px) {
    .col-11.featured-preview {   
      padding-left: 2%;
      padding-right: 0 !important;
      padding-top: 2%;
    }
  }

  @media all and (max-width: 575px) {
    .thin-line {        
        padding-left: 0;
        padding-right: 0;
        margin-bottom: 0;
        margin-top: 8%;
        border: none;
        height: 1px;
        opacity: 0.2;
        /* Set the hr color */
        color: #333;  /* old IE */
        background-color: #333;  /* Modern Browsers */
    }
  }

  @media all and (max-width: 575px) {
  .last-thin-line{
    margin-top: 8%;
    margin-bottom: 4%;
    border: none;
    height: 1px;
    opacity: 0.2; /* Set the hr color */
    color: #333;  /* old IE */
    background-color: #333;  /* Modern Browsers */
    }
  }

  @media all and (max-width: 575px) {
    .thick-line {        
        padding-left: 0;
        padding-right: 0;
        margin-top: 6%;
        margin-bottom: 4%;
        border: none;
        height: 2px;
        opacity: 0.17;
        /* Set the hr color */
        color: #333;  /* old IE */
        background-color: #333;  /* Modern Browsers */
    }
  }

  @media all and (max-width: 575px) {
    .row.latest {   
        padding-top: 2% !important;
        padding-left: 5% !important;
        padding-right: 5% !important;
        
    }
  }

  @media all and (max-width: 575px) {
    .row.pinned {   
        padding-top: 1% !important;
        padding-left: 5% !important;
        padding-right: 5% !important;        
    }
  }

  @media all and (max-width: 575px) {
    .preview-row.categorymatch{
      padding-top: 20% !important;
    }
  }

  @media all and (max-width: 575px) {
    .previewTitle {   
        padding-left: 2% !important;
        padding-right: 0% !important;
        
    }
  }

  @media all and (max-width: 575px) {
    .preview-datetime {   
        margin-bottom: 3%;
        
    }
  }

  @media all and (max-width: 575px) {
    .summary {   
        display: none;
        
    }
  }

  @media all and (max-width: 575px) {
    .previewImage {   
        padding-left: 0% !important;
        padding-right: 0% !important;
        
    }
  }

  @media all and (max-width: 575px) {
    .thumbnail {   
        width: 28vw !important; 
        height: 14vw !important;
        float: right !important;
        padding-right: 7% !important;
        
    }
  }

  @media all and (max-width: 575px) {
    .featured-label {   
      padding-left: 0;
      padding-right: 0;
      padding-top: 6%;
      padding-bottom: 1%;
      margin-bottom: 0;
        
    }
  }

  @media all and (max-width: 575px) {
    .col-12.featured-preview {   
      padding-left: 2.5%;
      padding-right: 2.5%;
        
    }
  }
  
  @media all and (max-width: 575px) {
    .featured-thumbnail {   
        width: 86vw !important; 
        height: 44.5vw !important;
        object-fit: cover;
    }
  }

  @media all and (max-width: 575px) {
    .col-12.create-post-page-title {   
        padding-top: 17%;
        padding-left: 2%;
        padding-right: 2%;
    }
  }

  @media all and (max-width: 575px) {
    .col-12.create-post {   
        padding-left: 2%;
        padding-right: 2%;
    }
  }

  @media all and (max-width: 575px) {
    .row.post-title {
      padding-left: 7% !important;
      padding-right: 7% !important;
    }
  }

  @media all and (max-width: 575px) {
    .post-category {
      padding-top: 84px;
      padding-left: 0% !important;
      padding-right: 0% !important;
      margin-bottom: 0 !important;
    }
  }

  @media all and (max-width: 575px) {
    .post-title {
      padding-top: 2% !important;
      padding-left: 0% !important;
      padding-right: 0% !important;
    }
  }

  @media all and (max-width: 575px) {
    .col-12.col-md-9.post-title-info {
      padding-left: 0 !important;
      padding-right: 0 !important;
    }
  }

  @media all and (max-width: 575px) {
    .post-author{
      padding-top: 4% !important;
      padding-bottom: 2% !important;

  }
  }

  @media all and (max-width: 575px) {
    .green-slash::before{
      content: "\a";
      white-space: pre;
  }
  }

  @media all and (max-width: 575px) {
    .row.post-image {
      margin-left: 0 !important;
      padding-left: 7% !important;
      padding-right: 7% !important;
    }
  }

  @media all and (max-width: 575px) {
    .post-image {
      width: 100vw !important;
      height: 55vw !important;
      object-fit: cover;
      margin-left: 0 !important;
      padding-left: 0 !important;
      padding-right: 0 !important;
    }
  }
  
  @media all and (max-width: 575px) {
    .row.post-content {
      padding-left: 7% !important;
      padding-right: 7% !important;
    }
  }

  @media all and (max-width: 575px) {
    .col-12.col-md-8.content {
      padding-left: 0% !important;
      padding-right: 0% !important;
      width: 100% !important;
    }
  }

#create {
    position: fixed;
    height: 50px;
    width: 100px;
}

.logo {
    color: #00cf6e !important;
}

.nav-link.join {
    color: #FFBF00 !important;
}

a:hover {
    color: #32de84 !important;
}

.featured-title {
    padding-bottom: 1%;
 }

.featured-subtitle {
  padding-top: 0;
  padding-bottom: 1.5%;
  margin-bottom: 2%;
}

.profile {
  object-fit: cover;
}

.featured-thumbnail {
  width: 386px;
}

.latestTitle {
    padding-top: 50px;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

.col-md-6.featured {
    padding-top: 0px;
    padding-bottom: 20px;
}

.featured-author {
    padding-bottom: 0px;
    margin-bottom: 10px;
    opacity: 0.85;
}

.col-12 {
    padding-left: 130px;
}

.col-md-6, .col-2, .col-7 {
    padding-left: 130px;
    padding-top: 30px;
}

.row.latest {
    padding-left: 115px;
    padding-top: 10px;
}

hr {
  border: none;
  height: 2px;
  margin: 0;
  opacity: 0.08;
  /* Set the hr color */
  color: #333;  /* old IE */
  background-color: #333;  /* Modern Browsers */
}

a {
    text-decoration: none !important;
    color: black;
  }

.preview-row:hover, .preview-row:active {
    color: black !important;
    opacity:0.5;
}

.col-3.previewTitle {
    padding-right: 40px;
    margin-right: -25px;
}

.preview-category {
  color: #2abf71;
  margin-bottom: 1.5%;
  font-size: 10pt;
  line-height: 10pt;
  height: auto;
}

.featured-label {
  color: #2abf71;
}

.post-category {
  color: #2abf71;
}

.preview-title-text {
  padding-top: 2%;
  padding-bottom: 7%;
  margin-bottom: 2%;
  width: 100%;
  white-space: normal;
}

.preview-title-text.pinned {
  padding-top: 0%;
  padding-bottom: 0%;
  margin-bottom: 1%;
  width: 100%;
  white-space: normal;
}

.preview-title-text.featured {
  margin-bottom: 2%;
  width: 100%;
  white-space: normal;
}

.preview-author {
    margin-top: 0;
    margin-bottom: 0%;
    opacity: 0.75;
}

.preview-datetime {
    padding-right: 42px;
}

.col-3.text-muted {
    white-space:normal; 
    text-align: left;  
    margin-right: 15px;  
}

.thumbnail {
  width: 215px;
  height: 115px;
  object-fit: cover;
  object-position: 70% 50%;
}

.form-control.content {
  height: 300px;
}

.post-image {
  width: 570px;
  height: 375px;
  object-fit: cover;
  object-position: 70% 50%;
  margin-left: 175px;
}

.camera-icon-image {
  width: 22px;
  height: 22px;
  object-fit: fill;
  padding-left: 0;
  padding-right: 0;
  margin-right: 0 !important;
}

.image-credits {
  width: 300px;
  padding-left: 1.5%;
}

.row.camera-icon {
  padding-left: 7%;
  padding-top: 3.5%;
}

.row.camera-icon > img,
.row.camera-icon > p {
  display: inline-block;
  vertical-align: middle; /* Aligns items vertically */
  margin-right: 10px; /* Optional, for spacing between elements */
}

.row.post-title {
    padding-top: 30px;
    padding-left: 175px;
}

.post-title {
    padding-right: 30px;
}

.green-slash {
    color: #32de84;
}

.post-author {
    padding-top: 20px;
    padding-bottom: 15px;
}

.row.post-content {
    padding-top: 1.5%;
    padding-left: 175px;
    padding-right: 26px;
}

.admin-create-post-button{
  padding-top: 25%;
  padding-left: 4%;
  height: auto;
  width: auto;
}

.edit-and-delete-buttons{
  display: flex;
  width: 100%;
  justify-content: space-between;
}

.admin-edit-post-button{
  padding-top: 25%;
  padding-left: 4%;
  height: auto;
  width: fit-content;
}

.admin-delete-post-button{
  padding-top: 25%;
  padding-right: 4%;
  height: auto;
  width: fit-content;
}

.admin-edit-button {
  background-color: #0096FF;
  border-color: #0096FF;
}

.admin-delete-button{
  background-color: red;
  border-color: red;
}

.admin-featured{
  padding-top: 0;
}

.editpage-post-title-info{
  padding-left: 0;
  height: auto;
  width: auto;
}

.category-page-title{
  padding-top: 22%;
  padding-bottom: 4%;
  padding-left: 7%;
}
